CCleaner hacked. What version do you have? Please update, A.s.a.p.

CCleaner, a well-known Microsoft Windows temporary/registry file deleting program, was compromised from 15 August through to 11 Sept.

During that time frame, CCleaner was modified, by outside sources, to inject Floxif malware into the CCleaner-user’s Windows computer. Please update to version 5.34 to remove this security breach.

To update:

Open CCleaner>on the top-left side of that main window, you’ll see the version you have. If your version is less than the “safe”, new version (5.34), please look to the lower right-hand corner of that same screen & click on “check for updates”. Follow the on-screen prompts from there.

I hope this helps. Malware may already be installed to your system. If you have any issues or any other computer troubles, don’t hesitate to ring!

:)

Posted in Warnings & updates Tagged with: , , , , , ,